clang 8.0.0

Functions
Environment.cpp File Reference
`#include "clang/StaticAnalyzer/Core/PathSensitive/Environment.h"`
`#include "clang/AST/Expr.h"`
`#include "clang/AST/ExprCXX.h"`
`#include "clang/AST/PrettyPrinter.h"`
`#include "clang/AST/Stmt.h"`
`#include "clang/Analysis/AnalysisDeclContext.h"`
`#include "clang/Basic/LLVM.h"`
`#include "clang/Basic/LangOptions.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/ProgramState.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/SValBuilder.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/SVals.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/SymExpr.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/SymbolManager.h"`
`#include "llvm/ADT/ImmutableMap.h"`
`#include "llvm/ADT/SmallPtrSet.h"`
`#include "llvm/Support/Casting.h"`
`#include "llvm/Support/ErrorHandling.h"`
`#include "llvm/Support/raw_ostream.h"`
`#include <cassert>`
Include dependency graph for Environment.cpp:

Go to the source code of this file.

## Functions
static const Expr * | ignoreTransparentExprs (const Expr *E)
static const Stmt * | ignoreTransparentExprs (const Stmt *S)

## Function Documentation

## ◆ ignoreTransparentExprs() [1/2]

static const Expr* ignoreTransparentExprs | ( | const Expr * | E | ) |
| static

Definition at line 37 of file Environment.cpp.

References clang::Stmt::getStmtClass(), and clang::Expr::IgnoreParens().

## ◆ ignoreTransparentExprs() [2/2]

static const Stmt* ignoreTransparentExprs | ( | const Stmt * | S | ) |
| static

Definition at line 64 of file Environment.cpp.